FROM cr-stg-cn-beijing.volces.com/cp-auto-test/source-image:source-image

MAINTAINER richard

# 设置环境
ENV RTMP_VERSION=1.1.10 \
    NPS_VERSION=1.11.33.4 \
    LIBAV_VERSION=11.8 \
    NGINX_VERSION=1.10.1 \
    NGINX_USER=www-data \
    NGINX_SITECONF_DIR=/etc/nginx/sites-enabled \
    NGINX_LOG_DIR=/var/log/nginx \
    NGINX_TEMP_DIR=/var/lib/nginx \
    NGINX_SETUP_DIR=/var/cache/nginx

# 设置构建时变量，镜像建立完成后就失效
ARG BUILD_LIBAV=false
ARG WITH_DEBUG=false
ARG WITH_PAGESPEED=true
ARG WITH_RTMP=true

COPY . .
RUN touch index.html
RUN echo '<h1>Hello, Docker!</h1>' > index.html
RUN rm /usr/share/nginx/html/index.html
RUN mv index.html /usr/share/nginx/html/
EXPOSE 80/tcp 443/tcp 1935/tcp
ENTRYPOINT ["/sbin/entrypoint.sh"]
CMD ["/usr/sbin/nginx"]
